Represents a single read-only result entry from a model query. Includes the relevant data and metadata for a particular model.

### Hierarchy

- ModelResult

## Index

### Constructors

- constructor

### Properties

- collectionId
- created
- data
- modelId
- modified
- version

## Constructors

### constructor

- new ModelResult(data: object, collectionId?: string, modelId?: string, created?: Date, modified?: Date, version?: number): ModelResult

- #### Parameters

  - ##### data: object

    - ##### [key: string]: any

  - ##### Optional collectionId: string

  - ##### Optional modelId: string

  - ##### Optional created: Date

  - ##### Optional modified: Date

  - ##### Optional version: number

  #### Returns ModelResult

## Properties

### OptionalcollectionId

collectionId: string

The model's collection ID

### Optionalcreated

created: Date

The creation timestamp of the model

### data

data: object

The contents of the model.

#### Type declaration

- ##### [key: string]: any

### OptionalmodelId

modelId: string

The model's unique ID

### Optionalmodified

modified: Date

The timestamp at which the model's data was last modified

### Optionalversion

version: number

The model's current version